Package org.apache.commons.math3.fraction

# Class FractionConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.commons.math3.exception.MathIllegalStateException
org.apache.commons.math3.exception.ConvergenceException
org.apache.commons.math3.fraction.FractionConversionException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class FractionConversionException extends ConvergenceException
Error thrown when a double value cannot be converted to a fraction in the allowed number of iterations.

Since:
  1.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FractionConversionException(double value, int maxIterations)`
Constructs an exception with specified formatted detail message.
`FractionConversionException(double value, long p, long q)`
Constructs an exception with specified formatted detail message.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FractionConversionException

public FractionConversionException(double value, int maxIterations)
Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

Parameters:
  `value` - double value to convert
  `maxIterations` - maximal number of iterations allowed

### FractionConversionException

public FractionConversionException(double value, long p, long q)
Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

Parameters:
  `value` - double value to convert
  `p` - current numerator
  `q` - current denominator